summaryrefslogtreecommitdiffstats
path: root/samples/treeview2
diff options
context:
space:
mode:
authorbapt <bapt@FreeBSD.org>2013-06-17 10:00:48 +0000
committerbapt <bapt@FreeBSD.org>2013-06-17 10:00:48 +0000
commit2b5579c9bdbbca29e7b2df1ee9a9e5d1cce2b06f (patch)
treed48b8f5f4c81e26e8dbb6597554286f1d6d53d3a /samples/treeview2
parenta94245b3d36b447d1f761028da7e072210e64b43 (diff)
downloadFreeBSD-src-2b5579c9bdbbca29e7b2df1ee9a9e5d1cce2b06f.zip
FreeBSD-src-2b5579c9bdbbca29e7b2df1ee9a9e5d1cce2b06f.tar.gz
Update dialog to 1.2-20130523
Diffstat (limited to 'samples/treeview2')
-rwxr-xr-xsamples/treeview252
1 files changed, 52 insertions, 0 deletions
diff --git a/samples/treeview2 b/samples/treeview2
new file mode 100755
index 0000000..b3dde41
--- /dev/null
+++ b/samples/treeview2
@@ -0,0 +1,52 @@
+#!/bin/sh
+# $Id: treeview2,v 1.3 2012/12/23 22:28:00 tom Exp $
+
+. ./setup-vars
+
+. ./setup-edit
+
+case "x$DIALOGOPTS" in
+*--no-items*|*--noitem*)
+ CUT="cut -d: -f1,3,4"
+ ;;
+*)
+ CUT="cat"
+ ;;
+esac
+
+$CUT >$input <<-EOF
+ tag1:one:off:0
+ tag2:two:off:1
+ tag3:three:on:2
+ tag4:four:off:1
+ tag5:five:off:2
+ tag6:six:off:3
+ tag7:seven:off:3
+ tag8:eight:off:4
+ tag11:1one:off:0
+ tag12:1two:off:1
+ tag13:1three:on:2
+ tag14:1four:off:1
+ tag15:1five:off:2
+ tag16:1six:off:3
+ tag17:1seven:off:3
+ tag18:1eight:off:4
+ tag21:2one:off:0
+ tag22:2two:off:1
+ tag23:2three:on:2
+ tag24:2four:off:1
+ tag25:2five:off:2
+ tag26:2six:off:3
+ tag27:2seven:off:3
+ tag28:2eight:off:4
+ tag9:nine:off:1
+EOF
+
+$DIALOG --title "TREE VIEW DIALOG" \
+ --scrollbar \
+ --treeview "TreeView demo" 0 0 10 `cat $input | sed -e 's/:/ /g'` 2> $output
+
+retval=$?
+
+tempfile=$output
+. ./report-tempfile
OpenPOWER on IntegriCloud